Subject: Re: bug#69017: 30.0.50; [debbugs] Make compilation step optional in debbugs-gnu-apply-patch

From: Eric Abrahamsen <[email-masked]>
Date: Sun, 11 Feb 2024 07:05:19 -0800

Michael Albinus via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
> Hi Eric,
>
>>> I don't use `debbugs-gnu-apply-patch' by myself, so I have no opinion
>>> about. It was written by Lars for his own workflow.
>>
>> Out of curiosity, do you use any convenience functions for applying
>> patches from email->repository?
>
> I stupidly use ediff-patch-file (Tools → Apply Patch → To a File...).
> vc-specific operations I perform in a vc-dir buffer afterwards. That's it.

It's becoming obvious that the real pros just do it by hand!

>> I have a quick question: the :version tags on the
>> defcustoms in debbug-gnu.el all seem to refer to Emacs versions,
>> shouldn't they refer to debbugs package versions? Or is this also a Lars
>> thing?
>
> No, this is a Michael thing :-)
>
> We could add :package-version tags to the defcustoms, I've been too lazy
> until now.

Actually it's also partially an Eric thing, I see that :version is
documented as specifically referring to Emacs versions. That seems not
very meaningful, but I'm also not trying to create extra work for anyone!